Package org.apache.storm.task

## Interface IMetricsContext

- All Known Implementing Classes:
    `TopologyContext`, `TridentOperationContext`

      public interface IMetricsContext

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.codahale.metrics.Counter` | `registerCounter​(String name)` |
    `<T> com.codahale.metrics.Gauge<T>` | `registerGauge​(String name, com.codahale.metrics.Gauge<T> gauge)` |
    `com.codahale.metrics.Histogram` | `registerHistogram​(String name)` |
    `com.codahale.metrics.Meter` | `registerMeter​(String name)` |
    `CombinedMetric` | `registerMetric​(String name, ICombiner combiner, int timeBucketSizeInSecs)` | Deprecated. in favor of metrics v2 (the non-deprecated methods on this class)
    `ReducedMetric` | `registerMetric​(String name, IReducer reducer, int timeBucketSizeInSecs)` | Deprecated. in favor of metrics v2 (the non-deprecated methods on this class)
    `<T extends IMetric> T` | `registerMetric​(String name, T metric, int timeBucketSizeInSecs)` | Deprecated. in favor of metrics v2 (the non-deprecated methods on this class)
    `void` | `registerMetricSet​(String prefix, com.codahale.metrics.MetricSet set)` |
    `com.codahale.metrics.Timer` | `registerTimer​(String name)` |

- - ### Method Detail

    - #### registerMetric

          @Deprecated
          <T extends IMetric> T registerMetric​(String name,
                                               T metric,
                                               int timeBucketSizeInSecs)

      Deprecated.
      in favor of metrics v2 (the non-deprecated methods on this class)
      Register metric.

    - #### registerMetric

          @Deprecated
          ReducedMetric registerMetric​(String name,
                                       IReducer reducer,
                                       int timeBucketSizeInSecs)

      Deprecated.
      in favor of metrics v2 (the non-deprecated methods on this class)
      Register metric.

    - #### registerMetric

          @Deprecated
          CombinedMetric registerMetric​(String name,
                                        ICombiner combiner,
                                        int timeBucketSizeInSecs)

      Deprecated.
      in favor of metrics v2 (the non-deprecated methods on this class)
      Register metric.

    - #### registerTimer

          com.codahale.metrics.Timer registerTimer​(String name)

    - #### registerHistogram

          com.codahale.metrics.Histogram registerHistogram​(String name)

    - #### registerMeter

          com.codahale.metrics.Meter registerMeter​(String name)

    - #### registerCounter

          com.codahale.metrics.Counter registerCounter​(String name)

    - #### registerGauge

          <T> com.codahale.metrics.Gauge<T> registerGauge​(String name,
                                                          com.codahale.metrics.Gauge<T> gauge)

    - #### registerMetricSet

          void registerMetricSet​(String prefix,
                                 com.codahale.metrics.MetricSet set)